Bug 333281 - SELinux is preventing /usr/bin/gnome-keyring-daemon (xdm_t) "ptrace" to (unconfined_t).
SELinux is preventing /usr/bin/gnome-keyring-daemon (xdm_t) "ptrace" to (unco...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-15 19:22 EDT by Matthew Saltzman
Modified: 2015-03-03 17:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:57:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Saltzman 2007-10-15 19:22:26 EDT
Description of problem:

SELinux denied access requested by /usr/bin/gnome-keyring-daemon. It is not
expected that this access is required by /usr/bin/gnome-keyring-daemon and this
access may signal an intrusion attempt. It is also possible that the specific
version or configuration of the application is causing it to require additional
access.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.0.8-22.fc8.noarch

How reproducible:
Always

Steps to Reproduce:
1. Log in via gdm
2.
3.
  
Actual results:
AVC

Expected results:
No AVC

Additional info:

I am running pam_keyring-0.0.9-1.fc8.x86_64.  My /etc/pam.d/gdm is as follows:

#%PAM-1.0
auth     [success=done ignore=ignore default=bad] pam_selinux_permit.so
auth       required    pam_env.so
auth       optional    pam_keyring.so try_first_pass
#auth       sufficient  pam_unix.so likeauth nullok
auth       include     system-auth
auth       optional    pam_gnome_keyring.so
account    required    pam_nologin.so
account    include     system-auth
password   include     system-auth
session    required    pam_selinux.so close
session    optional    pam_keyinit.so force revoke
session    include     system-auth
session    required    pam_loginuid.so
session    optional    pam_console.so
session    required    pam_selinux.so open
session    required    pam_namespace.so
session    optional    pam_gnome_keyring.so auto_start
session    optional    pam_keyring.so

The exact AVC is:

avc: denied { ptrace } for comm=gnome-keyring-d egid=500 euid=500
exe=/usr/bin/gnome-keyring-daemon exit=18 fsgid=500 fsuid=500 gid=500 items=0
pid=2871 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 sgid=500
subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 suid=500 tclass=process
tcontext=system_u:system_r:unconfined_t:s0 tty=(none) uid=500
Comment 1 Daniel Walsh 2007-10-16 23:09:33 EDT
Why does gnome-keyring daemon need to do this?
Comment 2 Matthew Saltzman 2007-10-17 10:37:57 EDT
This may all be a red herring.  I didn't realize that pam_gnome_keyring was
supposed to deal with keyring logins because it doesn't work.  So I re-enabled
pam_keyring.  pam_keyring probably conflicts with pam_gnome_keyring, but I'll
wait till the pam_gnome_keyring issue is worked out.
Comment 3 Pawel Salek 2008-11-24 03:31:29 EST
Isn't this a duplicate of bug 416341?
Comment 4 Bug Zapper 2008-11-26 02:59:17 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Matthew Saltzman 2008-12-05 14:37:49 EST
I haven't experienced this problem in a while.  In F10, the whole gnome-keyring thing seems to be worked out, in that I am no longer prompted for keyring passwords when I log in.
Comment 6 Bug Zapper 2009-01-08 23:57:22 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.